<?php
if(!isset($_SESSION)){
    
    session_start();

}

if(
	isset($_POST["par1"]) && $_POST["par1"] != ""
) {	
	
	// Variables recibidas correctamente, sanitizamos las  variables
	$par1 = filter_var($_POST["par1"], FILTER_SANITIZE_NUMBER_INT);

	if ($par1 == 0){
		$fecha 	= '';
		$horaInicio 	= '';
		$horaFin= '';
		$motivo 	= '';
		$estado 	= '';
		$registros 	= 0;
		$titulo 	= "Ingreso de fecha inactiva";
		$boton 		= "Aceptar";
	} else {	
		require_once($_SERVER['DOCUMENT_ROOT'].'/clases/FechaInactiva.Class.php');
		$fechaInactiva_obj		= new FechaInactiva(null);	
		$fechaInactiva_inf 		= $fechaInactiva_obj->informacionFechaInactiva( $par1, null, 0);
		$fechaInactiva_obj->Close();
		$fecha 					= $fechaInactiva_inf['fein_fecha_formato'];
		$horaInicio 			= $fechaInactiva_inf['fein_hora_inicio_formato'];
		$horaFin 				= $fechaInactiva_inf['fein_hora_fin_formato'];
		$motivo 				= $fechaInactiva_inf['fein_motivo'];
		$estado					= $fechaInactiva_inf['fein_estado_formato'];
		$registros  			= 0;
		
		$titulo = "Modificar fecha inactiva";
		$boton	= 'Modificar';
	}?>
	<form name="frm_fechaInactiva" id="frm_fechaInactiva" method="post">
		<div class="modal-header">
			<h5 class="modal-title" id="md_modal_fechaInactiva_titulo"><?php echo $titulo;?></h5>
			<button aria-label="Close" class="close" data-dismiss="modal" type="button"><span aria-hidden="true"> &times;</span></button>
		</div>	
		<div class="modal-body" id="md_modal_fechaInactiva_content">
			<input value="<?php echo $par1;?>" type="hidden" id="txt_modificar" name="txt_modificar">
			<div class="form-group row">
				<label class="col-form-label col-sm-2" >Fecha<span style="color:red;">*</span></label>
				<div class="col-sm-4">
					<input class="form-control"
						data-format="dd-MM-yyyy" type="text" id="txt_fecha" name="txt_fecha" value="<?php echo $fecha;?>">
				</div><?php 
				if (strlen($estado) > 0)
				{
				?>				
					<label class="col-form-label col-sm-2"> Estado<span style="color:red;">*</span></label>
					<div class="col-sm-4">
						<select name="cmb_estado" id="cmb_estado" class="form-control" >
							<option value="1" <?php 
								echo ($estado == 'Activo')? 'selected' : '';?>>Activo</option>
							<option value="0" <?php 
								echo ($estado == 'Inactivo')? 'selected' : '';?>>Inactivo</option>
						</select>
					</div><?php
				}?>			
			</div>
			<div class="form-group row">
				<label class="col-form-label col-xs-12 col-sm-2"> Hora de Inicio<span style="color:red;">*</span></label>
				<div class="col-xs-12 col-sm-4">
					<input type="time" <?php
						if($registros > 0)
							echo 'readonly';?> class="form-control" placeholder="Hora Inicio" 
						value="<?php echo $horaInicio;?>" maxlength="100"
						id="txt_horaInicio" name="txt_horaInicio">
				</div>
				<label class="col-form-label col-xs-12 col-sm-2"> Hora de Fin<span style="color:red;">*</span></label>
				<div class="col-xs-12 col-sm-4">
					<input type="time" <?php
						if($registros > 0)
							echo 'readonly';?> class="form-control" placeholder="Hora Fin" 
						value="<?php echo $horaFin;?>" maxlength="100"
						id="txt_horaFin" name="txt_horaFin">
				</div>
			</div>
			<div class="form-group row">
				<label class="col-form-label col-xs-12 col-sm-2"> Motivo<span style="color:red;">*</span></label>
				<div class="col-xs-12 col-sm-10">
					<input <?php
						if($registros > 0)
							echo 'readonly';?> class="form-control" placeholder="Motivo" autocomplete="off"
						value="<?php echo $motivo;?>" maxlength="100"
						id="txt_motivo" name="txt_motivo">
				</div>
			</div>
			<div class="modal-footer">
				<button class="btn btn-primary" type="submit" id="btn_guardar" name="btn_guardar"><i class="picons-thin-icon-thin-0002_write_pencil_new_edit"></i> <?php echo $boton;?></button>
				<button class="btn btn-secondary" data-dismiss="modal" type="button"><i class="picons-thin-icon-thin-0153_delete_exit_remove_close"></i> Cerrar</button>
			</div>					
		</div>		
		<script type="text/javascript" src="/js/fechasInactivas/fechasInactivasCargar.js"></script>
	</form><?php

	
	
} else{		

	echo 'Los parámetros recibidos NO son válidos';
	
}
?>